Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr
Class EnumHelper

    java.lang.Object
      org.codehaus.groovy.antlr.EnumHelper

    public class EnumHelper

extends Object

Constructor Summary
`EnumHelper()`

Method Summary
`static void` | `addEnumConstant(ClassNode enumClass, String name, Expression init)`
`static ClassNode` | `makeEnumNode(String name, int modifiers, ClassNode[] interfaces, ClassNode outerClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnumHelper

    public EnumHelper()

Method Detail

### makeEnumNode

    public static ClassNode makeEnumNode(String name,
                                         int modifiers,
                                         ClassNode[] interfaces,
                                         ClassNode outerClass)

### addEnumConstant

    public static void addEnumConstant(ClassNode enumClass,
                                       String name,
                                       Expression init)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD